#' Simulation of clustering with firm and time effects.
#' 
#' A dataset containing the 500 simulated firms over 10 years.
#' Originally created by Mitchell Petersen in conjunction with
#' Petersen (2009) and made available at
#' \url{http://www.kellogg.northwestern.edu/faculty/petersen/htm/papers/se/test_data.txt}.
#' See the references for simulation process.
#' The variables are as follows:
#' 
#' \itemize{
#'   \item firmid.  Firm identifier.
#'   \item year.  Year identifier.
#'   \item x. Independent (right-hand side) variable.
#'   \item y. Dependent (left-hand side) variable.
#' }
#' 
#' @docType data
#' @keywords datasets
#' @format A data frame with 5000 rows and 4 variables
#' @references Petersen, M. A. (2009). Estimating standard errors in finance panel data sets: Comparing approaches. Review of financial studies, 22(1), 435-480.
#' 
#' Mitchell Petersen's description of the simulation process: \url{http://www.kellogg.northwestern.edu/faculty/petersen/htm/papers/se/se_programming.htm}
#' 
#' @name petersen
NULL